<?php

// ACF functions

function crucio_generate_options_css() {
   ob_start();
   require(F_PATH . '/custom-styles.php');
   $css = ob_get_clean();

   global $wp_filesystem;

   if( is_null( $wp_filesystem ) )
       WP_Filesystem();

   $filename = T_PATH . '/assets/css/custom-styles.css';

   $wp_filesystem->put_contents($filename, $css, LOCK_EX);
   chmod($filename, 0664);
}
add_action('acf/save_post', 'crucio_generate_options_css', 20);

if ( ! function_exists( 'crucio_acf_init' ) ) {
   function crucio_acf_init() {

   	if( function_exists('acf_add_options_page') ) {

   		$option_page = acf_add_options_page(array(
   			'page_title' 	=> __('Theme Settings', 'crucio'),
   			'menu_title' 	=> __('Theme Settings', 'crucio'),
   			'menu_slug' 	=> 'theme-settings',
   		));

         acf_add_options_sub_page(array(
      		'page_title' 	=> __('General Options', 'crucio'),
      		'menu_title'	=> __('General Options', 'crucio'),
      		'parent_slug'	=> 'theme-settings',
      	));

         acf_add_options_sub_page(array(
      		'page_title' 	=> __('Header Options', 'crucio'),
      		'menu_title'	=> __('Header Options', 'crucio'),
      		'parent_slug'	=> 'theme-settings',
      	));

      	acf_add_options_sub_page(array(
      		'page_title' 	=> __('Footer Options', 'crucio'),
      		'menu_title'	=> __('Footer Options', 'crucio'),
      		'parent_slug'	=> 'theme-settings',
      	));

   	}

   }
}
add_action('acf/init', 'crucio_acf_init');

function crucio_acf_json_save_point( $path ) {
	$path = F_PATH . '/acf/acf-json';

	return $path;
}
add_filter( 'acf/settings/save_json', 'crucio_acf_json_save_point' );

function crucio_acf_json_load_point( $paths ) {
	unset( $paths[0] );
	$paths[] = F_PATH . '/acf/acf-json';

	return $paths;
}
add_filter( 'acf/settings/load_json', 'crucio_acf_json_load_point' );

?>
